> ## Documentation Index
> Fetch the complete documentation index at: https://novita.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Save Image



## OpenAPI

````yaml api-reference/gpus-v2-spec/save-image.json POST /gpus/v2/jobs/save-image
openapi: 3.0.0
info:
  title: Novita GPU API v2
  version: 2.0.0
servers:
  - url: https://api.novita.ai
security: []
paths:
  /gpus/v2/jobs/save-image:
    post:
      summary: Save Image
      parameters:
        - name: Content-Type
          in: header
          required: true
          schema:
            type: string
          description: 'Allowed value: application/json.'
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
          description: 'Bearer authentication format, e.g.: `Bearer {{API_KEY}}`.'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - instance_id
                - image
              properties:
                instance_id:
                  type: string
                  description: 'Instance ID. String, length: 1-255 characters.'
                  example: instance-id
                image:
                  type: string
                  description: >-
                    Target image name or address. String, length: 1-4095
                    characters.
                  example: registry.example.com/team/image:tag
                registry_auth_id:
                  type: string
                  description: >-
                    Saved registry authentication ID. String, length: 0-255
                    characters.
                  example: registry-auth-id
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  job_id:
                    type: string
                    description: >-
                      Save image job ID. Poll status via the [Get Job](#get-job)
                      endpoint
                    example: job-id

````